\name{readGPRHeaders}
\alias{readGPRHeaders}
\title{Read GenePix Results File Header Information}
\description{
Read the header information from a GenePix Results (GPR) file.
This function is used internally by \code{read.maimages} and is not usually called directly by users.
}
\usage{
readGPRHeaders(file)
}
\arguments{
  \item{file}{character string giving file name, including path if not in current working directory}
}
\details{
Output files produced by the image analysis software GenePix include a number of lines of header which contain information about the scanning process.
This function extracts that information and locates the line where the intensity data begins.
}
\value{
A list with components corresponds to lines of header information.
All components are character vectors.
}
\references{
\url{http://www.axon.com/gn_GenePix_File_Formats.html}
}
\author{Gordon Smyth}
\seealso{\code{\link{read.maimages}}

An overview of LIMMA functions to read data is given in \link{3.ReadingData}.
}
\keyword{file}
